- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# DSObjects::CVMR9AllocatorPresenter Class Reference

Inheritance diagram for DSObjects::CVMR9AllocatorPresenter:

List of all members.

## Public Member Functions
| CVMR9AllocatorPresenter (HWND hWnd, HRESULT &hr)
DECLARE_IUNKNOWN STDMETHODIMP | NonDelegatingQueryInterface (REFIID riid, void **ppv)
STDMETHODIMP | CreateRenderer (IUnknown **ppRenderer)
STDMETHODIMP | InitializeDevice (DWORD_PTR dwUserID, VMR9AllocationInfo *lpAllocInfo, DWORD *lpNumBuffers)
STDMETHODIMP | TerminateDevice (DWORD_PTR dwID)
STDMETHODIMP | GetSurface (DWORD_PTR dwUserID, DWORD SurfaceIndex, DWORD SurfaceFlags, IDirect3DSurface9 **lplpSurface)
STDMETHODIMP | AdviseNotify (IVMRSurfaceAllocatorNotify9 *lpIVMRSurfAllocNotify)
STDMETHODIMP | StartPresenting (DWORD_PTR dwUserID)
STDMETHODIMP | StopPresenting (DWORD_PTR dwUserID)
STDMETHODIMP | PresentImage (DWORD_PTR dwUserID, VMR9PresentationInfo *lpPresInfo)
STDMETHODIMP | GetNativeVideoSize (LONG *lpWidth, LONG *lpHeight, LONG *lpARWidth, LONG *lpARHeight)
STDMETHODIMP | GetMinIdealVideoSize (LONG *lpWidth, LONG *lpHeight)
STDMETHODIMP | GetMaxIdealVideoSize (LONG *lpWidth, LONG *lpHeight)
STDMETHODIMP | SetVideoPosition (const LPRECT lpSRCRect, const LPRECT lpDSTRect)
STDMETHODIMP | GetVideoPosition (LPRECT lpSRCRect, LPRECT lpDSTRect)
STDMETHODIMP | GetAspectRatioMode (DWORD *lpAspectRatioMode)
STDMETHODIMP | SetAspectRatioMode (DWORD AspectRatioMode)
STDMETHODIMP | SetVideoClippingWindow (HWND hwnd)
STDMETHODIMP | RepaintVideo (HWND hwnd, HDC hdc)
STDMETHODIMP | DisplayModeChanged ()
STDMETHODIMP | GetCurrentImage (BYTE **lpDib)
STDMETHODIMP | SetBorderColor (COLORREF Clr)
STDMETHODIMP | GetBorderColor (COLORREF *lpClr)
## Protected Member Functions
HRESULT | CreateDevice ()
void | DeleteSurfaces ()
## Protected Attributes
CComPtr< IVMRSurfaceAllocatorNotify9 > | m_pIVMRSurfAllocNotify
CInterfaceArray< IDirect3DSurface9 > | m_pSurfaces
bool | m_fUseInternalTimer

## Detailed Description

Definition at line 90 of file DX9AllocatorPresenter.cpp.

The documentation for this class was generated from the following file:

- C:/guliverkli/src/apps/mplayerc/DX9AllocatorPresenter.cpp